---
title: Get results
slug: monitor/get-results
docTags: 
createdAt: 2025-04-17T08:22:13.192Z
---

:::ApiMethodV2
```json
{
  "name": "Get results",
  "method": "GET",
  "url": "https://api-sandbox.klavi.ai/monitor/v1/monitors/{id}/results",
  "description": "Get all results by monitor ID",
  "tab": "examples",
  "examples": {
    "languages": [
      {
        "id": "g3mWhR3eAfQ_XnMnPKEZw",
        "language": "curl",
        "code": "curl --location --globoff 'https://api-sandbox.klavi.ai/monitor/v1/monitors/{id}/results/{id}' \\\n--header 'Authorization: string'",
        "customLabel": ""
      },
      {
        "id": "3JY4RJNwVkYfO9YC4zMZp",
        "language": "nodejs",
        "code": "var request = require('request');\nvar options = {\n   'method': 'GET',\n   'url': 'https://api-sandbox.klavi.ai/monitor/v1/monitors/{id}/results/{id}',\n   'headers': {\n      'Authorization': 'string'\n   }\n};\nrequest(options, function (error, response) {\n   if (error) throw new Error(error);\n   console.log(response.body);\n});\n",
        "customLabel": ""
      },
      {
        "id": "Uorsm26NHb0_iDJk6kI7H",
        "language": "javascript",
        "code": "var myHeaders = new Headers();\nmyHeaders.append(\"Authorization\", \"string\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api-sandbox.klavi.ai/monitor/v1/monitors/{id}/results/{id}\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));",
        "customLabel": ""
      },
      {
        "id": "Jdbl7zwl6im7FwNzmBxpR",
        "language": "python",
        "code": "import requests\n\nurl = \"https://api-sandbox.klavi.ai/monitor/v1/monitors/{id}/results/{id}\"\n\npayload = {}\nheaders = {\n   'Authorization': 'string'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n",
        "customLabel": ""
      },
      {
        "id": "UNJWjRkps7zSp0zkqIFuO",
        "language": "ruby",
        "code": "require \"uri\"\nrequire \"net/http\"\n\nurl = URI(\"https://api-sandbox.klavi.ai/monitor/v1/monitors/{id}/results/{id}\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"Authorization\"] = \"string\"\n\nresponse = https.request(request)\nputs response.read_body\n",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "g3mWhR3eAfQ_XnMnPKEZw"
  },
  "results": {
    "languages": [
      {
        "id": "LD71ZkxGcDuNdqJUVLrfw",
        "language": "200",
        "customLabel": "",
        "code": "[\n    {\n        \"id\": \"496db575-cf5c-426e-b8ff-ba9cd5bf01e4\",\n        \"name\": \"monitore_rollout_20250317_2025-03-24_6\",\n        \"createAt\": \"2025-03-24T06:00:00Z\"\n    },\n    {\n        \"id\": \"496db575-cf5c-426e-b8ff-ba9cd5bf01e4\",\n        \"name\": \"monitore_rollout_20250317_2025-03-21_6\",\n        \"createAt\": \"2025-03-21T06:00:00Z\"\n    },\n    {\n        \"id\": \"496db575-cf5c-426e-b8ff-ba9cd5bf01e4\",\n        \"name\": \"monitore_rollout_20250317_2025-03-20_6\",\n        \"createAt\": \"2025-03-20T06:00:00Z\"\n    }\n]"
      }
    ],
    "selectedLanguageId": "LD71ZkxGcDuNdqJUVLrfw"
  },
  "request": {
    "pathParameters": [
      {
        "name": "id",
        "kind": "required",
        "type": "string",
        "description": "ID of the monitor",
        "": "ID of the monitor"
      }
    ],
    "queryParameters": [],
    "headerParameters": [
      {
        "name": "Authorization",
        "kind": "required",
        "type": "string",
        "description": "Bearer access token, it returned by the /auth",
        "": "Bearer access token, it returned by the /auth"
      }
    ],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "currentNewParameter": {
    "label": "Path Parameter",
    "value": "pathParameters"
  },
  "hasTryItOut": false,
  "response": [
    {
      "name": "id",
      "kind": "optional",
      "type": "string",
      "description": "ID of the result"
    },
    {
      "name": "name",
      "kind": "optional",
      "type": "string",
      "description": "Name of the monitor",
      "children": []
    },
    {
      "name": "createAt",
      "kind": "optional",
      "type": "string",
      "description": "Create time",
      "children": []
    }
  ]
}
```
:::

